/*
 * AddAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef ADDACTION_HPP_
#define ADDACTION_HPP_

#include "Actions/Action.hpp"

class AtomAddAction : public Action {
public:
  AtomAddAction();
  virtual ~AtomAddAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ADDACTION_HPP_ */
