/*
 * ChangeElementAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef CHANGELEMENTACTION_HPP_
#define CHANGELEMENTACTION_HPP_

#include "Actions/Action.hpp"

class AtomChangeElementAction : public Action {
public:
  AtomChangeElementAction();
  virtual ~AtomChangeElementAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* CHANGELEMENTACTION_HPP_ */
