/*
 * RemoveAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef REMOVEACTION_HPP_
#define REMOVEACTION_HPP_

#include "Actions/Action.hpp"

class AtomRemoveAction : public Action {
public:
  AtomRemoveAction();
  virtual ~AtomRemoveAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* REMOVEACTION_HPP_ */
